Cyberduck Mountain Duck CLI

#10545 closed defect (fixed)

EC AlgorithmParameter not available error message

Reported by: MichaelEckstein Owned by: dkocher
Priority: normal Milestone: 6.9.0
Component: googledrive Version: 6.8.3
Severity: critical Keywords:
Cc: Architecture: Intel
Platform: Windows 10

Description

Hello !

Since I updated to the latest Version of Cyberduck ( i get the following error when I try to login to my Google Drive Cryptomator fault. (Please see attached Screenshot)

Interoperabilitätsfehler

The connection isn`t possible anymore.

best regards Michael

Attachments (4)

Unbenannt.JPG (26.9 KB) - added by MichaelEckstein on Nov 28, 2018 at 1:37:27 PM.
Cyberduck_latest Snapshot_Build.JPG (36.1 KB) - added by MichaelEckstein on Nov 29, 2018 at 6:44:57 AM.
Cyberduck_is_working_with_Version_6.8.5_29289.JPG (45.6 KB) - added by MichaelEckstein on Nov 29, 2018 at 6:45:07 AM.
Cyberduck_is_not_working_with_Version_6.8.5_29304.JPG (23.3 KB) - added by MichaelEckstein on Nov 29, 2018 at 6:45:21 AM.

Download all attachments as: .zip

Change History (14)

Changed on Nov 28, 2018 at 1:37:27 PM by MichaelEckstein

comment:1 Changed on Nov 28, 2018 at 5:37:54 PM by dkocher

  • Summary changed from Error when try to connect to GoogleDrive Cryptomator fault... to EC AlgorithmParameter not available error message

comment:2 Changed on Nov 28, 2018 at 6:48:41 PM by MichaelEckstein

The Version with the faulty Behavior is 6.8.5 (29301).

I downgraded to 6.5.3. Everything works fine again.

regards Michael

comment:3 Changed on Nov 28, 2018 at 8:03:39 PM by dkocher

  • Milestone set to 7.0
  • Owner set to dkocher
  • Status changed from new to assigned

Regression. Previous fix in r17320.

comment:4 Changed on Nov 28, 2018 at 8:47:56 PM by dkocher

Can you confirm you are running the current snapshot build?

comment:5 Changed on Nov 29, 2018 at 6:44:32 AM by MichaelEckstein

Hi David !

Yes, I can confirm, that I run the latest Snapshot Build from this morning. Version 6.8.5 (29304). Get the same Error when I try to access Googledrive. I attached new Screenshots... With Version 6.8.5 (29289) is was running very well.

best regards Michael

Changed on Nov 29, 2018 at 6:44:57 AM by MichaelEckstein

comment:6 Changed on Nov 29, 2018 at 8:26:27 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r45618. Addendum in r45619.

comment:7 follow-up: Changed on Nov 30, 2018 at 6:43:30 AM by MichaelEckstein

  • Resolution fixed deleted
  • Status changed from closed to reopened

Hello !

I updated this morning to Cyberduck Version 6.8.5 (29313). Now Cyberduck is completely crashing when I try to open a GoogleDrive Account. I have the option to send an error report what I have done 2-3 times... When I switch back to an ealier Version it is working again...

best regards Michael

comment:8 Changed on Nov 30, 2018 at 8:49:24 AM by dkocher

Top-level Exception
Type:        ch.cyberduck.core.FactoryException
Message:     Failure loading session class for Profile{parent=davs, vendor=iterate GmbH, description=null, image=null} protocol. Failure java.lang.reflect.InvocationTargetException
Source:      Cyberduck.Core
Stack Trace: at ch.cyberduck.core.SessionFactory.create(Host host, X509TrustManager trust, X509KeyManager key)
   at ch.cyberduck.core.SessionPoolFactory.stateless(ConnectionService connect, TranscriptListener transcript, Cache cache, Host bookmark, X509TrustManager trust, X509KeyManager key, VaultRegistry vault)
   at ch.cyberduck.core.SessionPoolFactory.create(ConnectionService connect, TranscriptListener transcript, Cache cache, Host bookmark, X509TrustManager x509TrustManager, X509KeyManager x509KeyManager, VaultRegistry registry, Usage[] usage)
   at ch.cyberduck.core.SessionPoolFactory.create(Cache cache, Host bookmark, HostPasswordStore keychain, LoginCallback login, HostKeyCallback key, ProgressListener listener, TranscriptListener transcript, Usage[] usage)
   at ch.cyberduck.core.SessionPoolFactory.create(Controller controller, Cache cache, Host bookmark, ProgressListener listener, Usage[] usage)
   at ch.cyberduck.core.SessionPoolFactory.create(Controller controller, Cache cache, Host bookmark, Usage[] usage)
   at Ch.Cyberduck.Ui.Controller.BrowserController.<>c__DisplayClass209_0.<Mount>b__0()
   at Ch.Cyberduck.Ui.Controller.BrowserController.<>c__DisplayClass216_0.<UnmountImpl>b__0()
   at Ch.Cyberduck.Ui.Controller.BrowserController.Disconnect(CallbackDelegate runnable)
   at Ch.Cyberduck.Ui.Controller.BrowserController.UnmountImpl(CallbackDelegate disconnected)
   at Ch.Cyberduck.Ui.Controller.BrowserController.Unmount(DialogCallbackDelegate unmountImpl, CallbackDelegate disconnected)
   at Ch.Cyberduck.Ui.Controller.BrowserController.Unmount(CallbackDelegate disconnected)
   at Ch.Cyberduck.Ui.Controller.BrowserController.Mount(Host host)
   at Ch.Cyberduck.Ui.Controller.BrowserController.View_ConnectBookmark(Object sender, ConnectBookmarkArgs connectBookmarkArgs)
   at Ch.Cyberduck.Ui.Winforms.BrowserForm.bookmarkListView_KeyDown(Object sender, KeyEventArgs e)
   at System.Windows.Forms.Control.OnKeyDown(KeyEventArgs e)
   at System.Windows.Forms.Control.ProcessKeyEventArgs(Message& m)
   at System.Windows.Forms.Control.ProcessKeyMessage(Message& m)
   at System.Windows.Forms.Control.WmKeyChar(Message& m)
   at System.Windows.Forms.Control.WndProc(Message& m)
   at System.Windows.Forms.ListView.WndProc(Message& m)
   at BrightIdeasSoftware.ObjectListView.HandleKeyDown(Message& m)
   at BrightIdeasSoftware.ObjectListView.WndProc(Message& m)
   at System.Windows.Forms.Control.ControlNativeWindow.OnMessage(Message& m)
   at System.Windows.Forms.Control.ControlNativeWindow.WndProc(Message& m)
   at System.Windows.Forms.NativeWindow.Callback(IntPtr hWnd, Int32 msg, IntPtr wparam, IntPtr lparam)

comment:9 in reply to: ↑ 7 Changed on Nov 30, 2018 at 9:28:55 AM by dkocher

Replying to MichaelEckstein:

Hello !

I updated this morning to Cyberduck Version 6.8.5 (29313). Now Cyberduck is completely crashing when I try to open a GoogleDrive Account. I have the option to send an error report what I have done 2-3 times... When I switch back to an ealier Version it is working again...

best regards Michael

In r45622.

comment:10 Changed on Dec 19, 2018 at 7:41:37 PM by dkocher

  • Milestone changed from 7.0 to 6.9.0
  • Resolution set to fixed
  • Status changed from reopened to closed
Note: See TracTickets for help on using tickets.
swiss made software